1

I am transferring custom code to joomla 4.

Are the legacy classes such as JFactory supported and if so for how long?

Where can I find documentation on this?

1 Answer 1

2

Yes, most of J-prefixed classes can still be used. They were scheduled to be removed in 5.0 but due to release cycle changes the removal has been postponed to 6.0. Instead the code for creating class aliases has been moved to Backward Compatibility plugin. You can read more about it in the manual.

3
  • It looks like JError may not be supported. I get Class "JError" not found when using JError::raiseError Dec 14, 2023 at 18:41
  • JError was removed in 4.0. You can see more in ..\libraries\legacy\error\error.php of your Joomla 3 instance around line #52. @deprecated 4.0 Will be removed without replacement.
    – Irata
    Dec 14, 2023 at 22:46
  • If I read this PR correctly, error handling will be done differently in the future: github.com/joomla/joomla-cms/pull/41809
    – astridx
    Dec 20, 2023 at 12:20

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.